
package de.ivu.elect.business.personenregister.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.jee.faces.Messages;

@Named(PersonenregisterMeta.COMPONENT_NAME)
public class PersonenregisterMeta implements Meta {

  private static final long serialVersionUID = 1L;

  protected static final String COMPONENT_NAME = "personenregisterMeta";

  @Inject
  private transient Messages messages;

  public PersonenregisterMeta() {
    super();
  }

  @Override
  public String getEinzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public String getMehrzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }

  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage() {
    return getMessage(getMehrzahlMessageKey());
  }

  public String getKurznameEinzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_KURZNAME_EINZAHL;
  }

  public String getKurznameMehrzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_KURZNAME_MEHRZAHL;
  }

  public String getKurznameEinzahlMessage() {
    return getMessage(getKurznameEinzahlMessageKey());
  }

  public String getKurznameMehrzahlMessage() {
    return getMessage(getKurznameMehrzahlMessageKey());
  }

  public String getServiceUrlEinzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_SERVICE_URL_EINZAHL;
  }

  public String getServiceUrlMehrzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_SERVICE_URL_MEHRZAHL;
  }

  public String getServiceUrlEinzahlMessage() {
    return getMessage(getServiceUrlEinzahlMessageKey());
  }

  public String getServiceUrlMehrzahlMessage() {
    return getMessage(getServiceUrlMehrzahlMessageKey());
  }

  public String getServiceBenutzerEinzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_SERVICE_BENUTZER_EINZAHL;
  }

  public String getServiceBenutzerMehrzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_SERVICE_BENUTZER_MEHRZAHL;
  }

  public String getServiceBenutzerEinzahlMessage() {
    return getMessage(getServiceBenutzerEinzahlMessageKey());
  }

  public String getServiceBenutzerMehrzahlMessage() {
    return getMessage(getServiceBenutzerMehrzahlMessageKey());
  }

  public String getServicePasswortEinzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_SERVICE_PASSWORT_EINZAHL;
  }

  public String getServicePasswortMehrzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_SERVICE_PASSWORT_MEHRZAHL;
  }

  public String getServicePasswortEinzahlMessage() {
    return getMessage(getServicePasswortEinzahlMessageKey());
  }

  public String getServicePasswortMehrzahlMessage() {
    return getMessage(getServicePasswortMehrzahlMessageKey());
  }

  public String getErreichbarkeitEinzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_ERREICHBARKEIT_EINZAHL;
  }

  public String getErreichbarkeitMehrzahlMessageKey() {
    return PersonenregisterConstants.MESSAGE_KEY_ERREICHBARKEIT_MEHRZAHL;
  }

  public String getErreichbarkeitEinzahlMessage() {
    return getMessage(getErreichbarkeitEinzahlMessageKey());
  }

  public String getErreichbarkeitMehrzahlMessage() {
    return getMessage(getErreichbarkeitMehrzahlMessageKey());
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }
}
